# Tokens

### GET /count

**Description:**\
Returns a JSON object containing the total number of tokens recorded.

**Example Request:**

```json
curl -X GET https://api.aiis.dev/v2/token/count
```

**Example Response:**

```json
{
  "totalRecorded": 1234
}
```

### GET /list

**Description:**\
Returns a paginated list of tokens. Query parameters include:

* `page` (required): The page number (e.g., 1).
* `pageSize` (required): The number of tokens per page (e.g., 10).
* `sortBy` (optional): Sorting criteria (e.g., "latest", "mcap", "upvotes", "network").

**Example Request (cURL):**

```json
curl -X GET "https://api.aiis.dev/v2/token/list?page=1&pageSize=10&sortBy=latest"
```

**Example Response:**

```json
[
  {
    "address": "ELx3q1i5pbBihJp1fJe1yy8cBvHdBAHFaRrNVGiZx5Ai",
    "chain": "Solana",
    "name": "ip",
    "symbol": "IP20",
    "supply": "1000000000",
    "model": "Bittensor",
    "pool_address": "2jQdQ8cFKRZVPiKAVb3SMa4BKPFL8ZkqtBgRosHqbFV5",
    "locker_address": "",
    "deployer": "F9Wsf78trw9eMZDzwGNWhFmm4uwEzzFP57HrRwoiwpCG",
    "created_at": "2025-02-26T07:34:26.621Z",
    "generationId": "cm7llmi4b000nn20fstmgchhd",
    "is_migrated": null,
    "website": null,
    "twitter": null,
    "discord": null,
    "coinGeckoId": null,
    "coinMarketCapId": null,
    "token_stats": {
      "token_address": "ELx3q1i5pbBihJp1fJe1yy8cBvHdBAHFaRrNVGiZx5Ai",
      "chain": "Solana",
      "volume1": "0",
      "volume4": "0",
      "volume12": "0",
      "volume24": "40.446",
      "liquidity": "0",
      "priceUSD": "0.000004103982260227859",
      "change1": "0",
      "change4": "0",
      "change12": "0",
      "change24": "0",
      "mcap": 4103.982260227859
    }
  }
]
```

These endpoints allow users to efficiently retrieve token data without needing to manage the underlying database or caching logic. The minimal examples above demonstrate how to interact with these endpoints using simple GET requests.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aiis.dev/developers/api/tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
